User Agent Quick Switch add-on not working after update to 40.0*

RESOLVED INVALID

Status

()

Firefox
Extension Compatibility
RESOLVED INVALID
3 years ago
3 years ago

People

(Reporter: t03.anders0n, Unassigned)

Tracking

({addon-compat})

40 Branch
x86_64
Windows 7
addon-compat
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

3 years ago
User Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:38.0) Gecko/20100101 Firefox/38.0
Build ID: 20150812163655

Steps to reproduce:

I have a signed extension (https://addons.mozilla.org/it/firefox/addon/user-agent-quick-switch/?src=search) that stop working after the update from the last 39* to the 40 version


Actual results:

the button added by the add-on is no longer present anywhere, removing and reinstalling didn't help


Expected results:

That the add-on continue to work
(Reporter)

Updated

3 years ago
Component: Untriaged → Extension Compatibility
Keywords: addon-compat
OS: Unspecified → Windows 7
Hardware: Unspecified → x86_64

Comment 1

3 years ago
Any error in the web console? Did you check the FF40 release notes for the devs?
Flags: needinfo?(t03.anders0n)
Summary: add-on not working after update to 40.0* → User Agent Quick Switch add-on not working after update to 40.0*

Comment 2

3 years ago
Regression range:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=8f21d63b310a&tochange=77d92f6d7679
Keywords: regressionwindow-wanted

Comment 3

3 years ago
Pushlog:
https://hg.mozilla.org/integration/fx-team/pushloghtml?fromchange=5751177e9259&tochange=72f63499f285

Regressed by:
72f63499f285	Dave Townsend — Bug 1160676: Uplift Add-on SDK to fx-team. a=me

Comment 4

3 years ago
widgets have been removed from add-on SDK.
So, the add-on needs to be updated to use sdk/ui module instead.
(Reporter)

Comment 5

3 years ago
Thank you and sorry, I'm informing the developer
Status: UNCONFIRMED → RESOLVED
Last Resolved: 3 years ago
Flags: needinfo?(t03.anders0n)
Resolution: --- → INVALID
Keywords: regressionwindow-wanted
You need to log in before you can comment on or make changes to this bug.